
pub const Vector3 = struct {
	x: f32,
	y: f32,
	z: f32,

	pub fn equals(self: Vector3, other: Vector3) bool {
		return self.x == other.x and self.y == other.y and self.z == other.z;
	}

	pub const zero = Vector3{.x = 0, .y = 0, .z = 0};
};
